Public Member Functions | Public Attributes | List of all members
libebook::PLKRParserState Struct Reference

## Public Member Functions
| PLKRParserState ()

## Public Attributes
PLKRImageMap_t | m_imageMap
shared_ptr< MarkupParser > | markupParser
shared_ptr< EBOOKCharsetConverter > | charsetConverter
bool | knownEncoding
ExceptionalCharsetMap_t | exceptionalCharsetMap

## Constructor & Destructor Documentation

## § PLKRParserState()

libebook::PLKRParserState::PLKRParserState | ( |  | ) |

## Member Data Documentation

## § charsetConverter

shared_ptr<EBOOKCharsetConverter> libebook::PLKRParserState::charsetConverter

Referenced by libebook::PLKRParser::readMetadata().

## § exceptionalCharsetMap

ExceptionalCharsetMap_t libebook::PLKRParserState::exceptionalCharsetMap

Referenced by libebook::PLKRParser::readMetadata().

## § knownEncoding

bool libebook::PLKRParserState::knownEncoding

Referenced by libebook::PLKRParser::readMetadata().

## § m_imageMap

PLKRImageMap_t libebook::PLKRParserState::m_imageMap

Referenced by libebook::PLKRParser::readDataRecords(), and libebook::PLKRParser::readImage().

## § markupParser

shared_ptr<MarkupParser> libebook::PLKRParserState::markupParser

Referenced by libebook::PLKRParser::readDataRecords(), and libebook::PLKRParser::readText().

The documentation for this struct was generated from the following file:

- PLKRParser.cpp